For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dashboard
GuidesIntegrationsAPI ReferencesRelease notes
GuidesIntegrationsAPI ReferencesRelease notes
    • APIs overview
  • Upload API
      • POSTCreate a file group
      • GETGet information about a file group
    • Errors
  • REST API
    • Authentication
    • File Metadata
    • Add Ons
    • Changelog
    • Versioning
  • URL API
    • File Information
    • File Names
    • File groups
    • Image processing limitations
    • Image compression
    • Image resize and crop
    • Image rotation
    • Image overlays
    • Image colors
    • Image definition
    • Image recognition
    • Other image operations
    • Proxy
    • Signed URLs
    • CDN settings
    • Integrations
Dashboard
LogoLogo
Upload APIGroups

Create a file group

POST
https://upload.uploadcare.com/group/
POST
/group/
$curl -X POST https://upload.uploadcare.com/group/ \
> -H "Content-Type: multipart/form-data" \
> -F pub_key="YOUR_PUBLIC_KEY" \
> -F files[]='[
> "d6d34fa9-addd-472c-868d-2e5c105f9fcd",
> "b1026315-8116-4632-8364-607e64fca723/-/resize/x800/"
>]'
200Successful
1{
2 "id": "0d712319-b970-4602-850c-bae1ced521a6~1",
3 "datetime_created": "2018-09-12T10:03:38.686710Z",
4 "files_count": 1,
5 "cdn_url": "https://ucarecdn.com/0d712319-b970-4602-850c-bae1ced521a6~1/",
6 "url": "https://api.uploadcare.com/groups/0d712319-b970-4602-850c-bae1ced521a6~1/",
7 "files": [
8 "string"
9 ],
10 "datetime_stored": null
11}
Create a file group from a set of already uploaded files. The most common use case for creating a file group is when a user uploads multiple files at once and then wants to display them together. **Note:** A group itself and files within it MUST belong to the same project. **Note:** Groups are immutable and the only way to add/remove a file to a group is to create a new one.
Was this page helpful?
Previous

Get information about a file group

Next
Built with

Create a file group from a set of already uploaded files.

The most common use case for creating a file group is when a user uploads multiple files at once and then wants to display them together.

Note: A group itself and files within it MUST belong to the same project.

Note: Groups are immutable and the only way to add/remove a file to a group is to create a new one.

Request

This endpoint expects a multipart form.
pub_keystringRequired
Public key identifying an Uploadcare project your uploads will go to.
files[]list of stringsRequired
Set of files you want to add to the group. Each element can be a file UUID with or without the applied image processing operations.
signaturestringOptional

signature must be sent along with your upload request if you would like to use signed uploads. The signature should be generated on your backend. Note: the process requires knowledge of your Uploadcare Project’s Secret key. See signed uploads for details.

expireintegerOptional

expire must be sent along with your upload request if you would like to use signed uploads. The parameter defines the time during which your signature is valid. It’s a UNIX timestamp. See signed uploads for details.

Response

The group was created successfully.
idstring
Group's unique ID.
datetime_createddatetime

ISO-8601 date and time when the group was created.

files_countinteger
Number of the files in the group.
cdn_urlstringformat: "uri"
Group's CDN URL.
urlstringformat: "uri"

Group’s API resource URL. See the REST API documentation for details.

fileslist of any or null
The list of files in the group. An array may contain null values if a file has been removed.
datetime_storeddatetime or nullDeprecated
Deprecated. This field will be removed in a future version of the Upload API.